//---------------------------------------------------------------------------

#ifndef UnitMainH
#define UnitMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE-managed Components
	TPanel *PanelView;
	TImage *ImageSampleView;
	TScrollBar *ScrollBarView;
	TPanel *PanelTools;
	TOpenDialog *OpenDialogWAV;
	TSaveDialog *SaveDialogWAV;
	TTimer *Timer1;
	TTrackBar *TrackBarScale;
	TSpeedButton *SpeedButtonLoad;
	TSpeedButton *SpeedButtonSave;
	TLabel *Label1;
	TTrackBar *TrackBarAttack;
	TTrackBar *TrackBarRelease;
	TLabel *Label2;
	TLabel *Label3;
	TTrackBar *TrackBarGate;
	TLabel *Label4;
	TTrackBar *TrackBarRelSpeed;
	TLabel *Label5;
	void __fastcall SpeedButtonLoadClick(TObject *Sender);
	void __fastcall SpeedButtonSaveClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall PanelViewResize(TObject *Sender);
	void __fastcall FormCanResize(TObject *Sender, int &NewWidth, int &NewHeight,
          bool &Resize);
	void __fastcall TrackBarAttackChange(TObject *Sender);
	void __fastcall TrackBarGateChange(TObject *Sender);
	void __fastcall TrackBarReleaseChange(TObject *Sender);
	void __fastcall TrackBarRelSpeedChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TFormMain(TComponent* Owner);
	void __fastcall RedrawSampleView(void);
	void __fastcall Analyze(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
